Skip to content

Loading…

Работы emmet с расширениями .php #95

Closed
beshkenadze opened this Issue · 8 comments

2 participants

@beshkenadze

Блокирует все автодополнения, ech -> , dump ->
Версия свежая.

@sergeche
Owner

Прямо в внутри секции PHP? Или в файле с расширением .php?

Проблема похожа на эту: https://github.com/sergeche/emmet-sublime#“help-my-snippets-doesn’t-work-anymore-in-htmlcss-files”

@beshkenadze

В файле с расширением .php

@sergeche
Owner

Ещё вопрос: автодополнения блокируются внутри блока <?php ... ?> или вне его?

@beshkenadze

Отвлекся. Я нашел в чем ошибка.
При использовании полного описания .php файла: <?php ... ?> все работает, а при краткой (почти все фреймворки его используют) : <?php ... - вот и происходит баг.

@sergeche
Owner

То есть краткая запись — это просто <?php без закрывающего ?>?

Я делал ряд исправлений за последние несколько дней, с ними тоже не работает?

@beshkenadze

Да, без закрывающего ?>.
В той версии, что ставится через Install Package этот баг остался.

@sergeche
Owner

А ты ставил по старой инструкции (с добавлением нового канала) или из основного канала Package Control (добавился 2 дня назад)? За последнюю неделю Github поменял способ выдачи репозитория и плагины из дополнительных каналов больше не ставятся и не обновляются.

Я просто ну никак не могу поймать этот баг. Можешь открыть консоль ST2, выполнить там sublime.log_commands(True) и написать мне, какая команда выполняется при разворачивании аббревиатуры.

@sergeche
Owner

Похоже, нашёл, в чём была проблема. Попробуй обновиться до последней версии.

@sergeche sergeche closed this
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.